<div class="container">
    <h1>material works!</h1>
    <div>
        <h2>material-button.</h2>
         //カラーボタンの表示 
        <button mat-button color="primary">Primary</button>
        <button mat-button color="accent">Accent</button>
        <button mat-button color="warn">Warn</button>
        <br>
        //ボタンの表示 
        <button mat-button>button</button>
        <button mat-raised-button>raised button</button>
        <button mat-flat-button>flat button</button>
        <button mat-stroked-button>stroked button</button>
        <br>
        //アイコンとfabボタンの表示
        <button mat-icon-button>
            <mat-icon>home</mat-icon>
        </button>
        <button mat-fab>fab</button>
        <button mat-mini-fab>fab</button>
        <br>
        //トグルボタンの表示 
        <mat-button-toggle-group #tgl="matButtonToggleGroup" 
            (change)="change(tgl.value)">
            <mat-button-toggle value="one">One</mat-button-toggle>
            <mat-button-toggle value="Two">Two</mat-button-toggle>
            <mat-button-toggle value="Three">Three</mat-button-toggle>
            <mat-button-toggle value="Four">Four</mat-button-toggle>
            <mat-button-toggle value="Five">Five</mat-button-toggle>
        </mat-button-toggle-group>
        <p class="message">{{message}}</p>
    </div> 
</div>        
